Package be.fgov.ehealth.rn.commons.business.v1

# Class InformationCBSSBatchType

java.lang.Object
be.fgov.ehealth.rn.commons.business.v1.InformationCBSSBatchType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class InformationCBSSBatchType extends Object implements Serializable
Deprecated type. Use SenderReceiverType in new batch XSDs

Java class for InformationCBSSBatchType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InformationCBSSBatchType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FileId" type="{http://www.w3.org/2001/XMLSchema}unsignedLong"/>
             <element name="FileCreationTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InformationCBSSBatchType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getFileCreationTimestamp()`
  Gets the value of the fileCreationTimestamp property.
  `BigInteger`
  `getFileId()`
  Gets the value of the fileId property.
  `void`
  `setFileCreationTimestamp(Instant value)`
  Sets the value of the fileCreationTimestamp property.
  `void`
  `setFileId(BigInteger value)`
  Sets the value of the fileId property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InformationCBSSBatchType

    public InformationCBSSBatchType()

- ## Method Details

  - ### getFileId

    public BigInteger getFileId()
    Gets the value of the fileId property.
    Returns:
      possible object is `BigInteger`

  - ### setFileId

    public void setFileId(BigInteger value)
    Sets the value of the fileId property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getFileCreationTimestamp

    public Instant getFileCreationTimestamp()
    Gets the value of the fileCreationTimestamp property.
    Returns:
      possible object is `String`

  - ### setFileCreationTimestamp

    public void setFileCreationTimestamp(Instant value)
    Sets the value of the fileCreationTimestamp property.
    Parameters:
      `value` - allowed object is `String`